Subject: Re: [bug#34354] [PATCH] gnu: python-biopython: Update to 1.73.

From: Brett Gilio <[email-masked]>
Date: Thu, 07 Feb 2019 14:05:58 -0600

Ricardo Wurmus writes:

> Hi Brett,
>
>> Brett Gilio writes:
>>
>>> From c3243855b975db46cb8c31f7120c2a1ab4662aaa Mon Sep 17 00:00:00 2001
>>> From: Brett Gilio <[email-masked]>
>>> Date: Wed, 6 Feb 2019 16:10:05 -0600
>>> Subject: [PATCH] gnu: python-biopython: Update to 1.73.
>>>
>>> * gnu/packages/bioinformatics.scm (python-biopython): Update to 1.73.
>>> ---
>>>  gnu/packages/bioinformatics.scm | 7 +++++--
>>>  1 file changed, 5 insertions(+), 2 deletions(-)
>>>
>>> diff --git a/gnu/packages/bioinformatics.scm b/gnu/packages/bioinformatics.scm
>>> index 516a7c1ee..99c205279 100644
>>> --- a/gnu/packages/bioinformatics.scm
>>> +++ b/gnu/packages/bioinformatics.scm
>>> @@ -12,6 +12,7 @@
>>>  ;;; Copyright © 2018 Joshua Sierles, Nextjournal <[email-masked]>
>>>  ;;; Copyright © 2018 Gábor Boskovits <[email-masked]>
>>>  ;;; Copyright © 2018 Mădălin Ionel Patrașcu <[email-masked]>
>>> +;;; Copyright © 2019 Brett Gilio <[email-masked]>
>>>  ;;;
>>>  ;;; This file is part of GNU Guix.
>>>  ;;;
>>> @@ -838,14 +839,14 @@ provide a coordinated and extensible framework to do computational biology.")
>>>  (define-public python-biopython
>>>    (package
>>>      (name "python-biopython")
>>> -    (version "1.70")
>>> +    (version "1.73")
>>>      (source (origin
>>>                (method url-fetch)
>>>                ;; use PyPi rather than biopython.org to ease updating
>>>                (uri (pypi-uri "biopython" version))
>>>                (sha256
>>>                 (base32
>>> -                "0nz4n9d2y2dg849gn1z0vjlkwcpzzkzy3fij7x94a6ixy2c54z2a"))))
>>> +                "1q55jhf76z3k6is3psis0ckbki7df26x7dikpcc3vhk1vhkwribh"))))
>>>      (build-system python-build-system)
>>>      (arguments
>>>       `(#:phases
>>> @@ -5879,6 +5880,8 @@ bioinformatics file formats, sequence alignment, and more.")
>>>          (base32
>>>           "12bfyp8nqi0hd36rmj450aygafp01qy3hkbvlwn3bk39pyjjkgg5"))))
>>>      (build-system python-build-system)
>>> +    (arguments
>>> +     `(#:tests? #f)) ; Updating biopython to 1.73 results in failing tests
>>>      (inputs
>>>       `(("python-biopython" ,python-biopython)))
>>>      (native-inputs
>>
>> I disabled the tests on package `seqmagick' because after updating
>> biopython to 1.73 it was failing a test on integer iteration. I could
>> not reproduce this failure on the 1.70 version of biopython, so it seems
>> to be a temporary fix to that failure. I'm not sure if this was the
>> "correct" way to fix that issue, but it works.
>
> If the tests are failing it is possibel that seqmagick doesn’t work
> properly any more.  This would be serious.
>
> Could you report the test failures to the upstream developers please and
> add the URL in a comment?
>
> Also please separate these two changes.  They should not go to the same
> commit.

Ricardo,

Understood. I will do exactly that and reply again later with a revised
patch series.

Brett Gilio